<template>
  <q-page class="q-px-sm bg-blue-grey-1">
    <div class="">
      <Graph
        :id="idPatient"
        :nodes="numberNodes"
      />
    </div>
  </q-page>
</template>

<script>
import Graph from 'components/Graph.vue'

export default {
  name: 'Result',
  components: { Graph },
  data () {
    return {
      idPatient: '',
      numberNodes: '',
      title: 'Proximity - Resultado de búsqueda ',
      titleIdPatient: ''
    }
  },
  beforeMount () {
    this.idPatient = this.$router.currentRoute.path.split('/')[2]
    this.numberNodes = this.$router.currentRoute.path.split('/')[3]
    this.titleIdPatient = this.idPatient.split('_')[0]
    console.log(this.idPatient, this.numberNodes)

    // this.$q.loading.show({
    //   message: '<h6>Analizando</h6>',
    //   backgroundColor: 'primary',
    //   spinnerColor: 'secondary'
    // })

    // axios.get('http://128.0.9.1:8000/api/backend/get-graph/', {
    //   params: {
    //     nodes: this.numberNodes,
    //     id: this.idPatient
    //   }
    // })
    //   .then((res) => {
    //     console.log(res.data.graph)
    //     this.graph = res.data.graph
    //   })
    //   .catch((err) => {
    //     console.log(err)
    //   })
    //   .finally(() => {
    //     this.$q.loading.hide()
    //   })
  },
  meta () {
    return {
      title: this.title + this.titleIdPatient
    }
  }
}
</script>
